Page MenuHomePhabricator

Introduce analysis pass to compute PostDominators in the new pass manager. NFC
ClosedPublic

Authored by etherzhhb on Feb 23 2016, 1:00 AM.

Details

Summary

I am going to introduce the analysis passes to compute PostDominators, DominanceFrontier and RegionInfo in the new pass manager, such that later we can rewrite passes in Polly in new pass manager style and make interprocedural analysis in Polly become easier.

This is the PostDominators part.

Diff Detail

Repository
rL LLVM

Event Timeline

etherzhhb updated this revision to Diff 48788.Feb 23 2016, 1:00 AM
etherzhhb retitled this revision from to Introduce analysis pass to compute PostDominators in the new pass manager. NFC.
etherzhhb updated this object.
etherzhhb added reviewers: chandlerc, grosser.
etherzhhb set the repository for this revision to rL LLVM.
etherzhhb added a project: Restricted Project.
etherzhhb added a subscriber: llvm-commits.
etherzhhb updated this revision to Diff 48925.Feb 24 2016, 6:44 AM

Include the changes in RegionInfo.cpp

grosser accepted this revision.Feb 25 2016, 5:12 AM
grosser edited edge metadata.

Hi ether,

this change looks good to me. The introduction of the post-dominator tree follows precisely Chandler's template in other passes and the DotGraphTraits look good as well.

This revision is now accepted and ready to land.Feb 25 2016, 5:12 AM
This revision was automatically updated to reflect the committed changes.